Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01699 Sound Minor Always Apr 16, 2008, 02:11 May 29, 2008, 21:13
Tester pcman View Status Public Platform MAME (Official Binary)
Assigned To couriersud Resolution Fixed OS
Status [?] Resolved Driver asteroid.cpp
Version 0.124u2 Fixed in Version 0.125u4 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 01699: asteroid, asteroid1, asteroidb, asterock, meteor, meteorts: Abnormal discrete sounds
Description When playing asteroids, the firing sound is distorted. In fact, most sound except explosions sound different.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version 0.124u1
Affected Sets / Systems asteroid, asteroid1, asteroidb, asterock, meteor, meteorts
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.00656
Tafoid
Administrator
Apr 16, 2008, 03:04
Confirmed + added regression. There was some discrete work in that U release which seems to have caused some havoc with that particular portion of audio.
User avatar
No.00907
Tafoid
Administrator
May 7, 2008, 19:05
Changed description to include the fact that all non-explosion sounds seem inaccurate now.
User avatar
No.01132
couriersud
Developer
May 29, 2008, 21:13
Thanks for the hint. In the 124u1 update I missed some code locations adding offsets directly to a node. Fixed.